<?php
/*
** SnortCenter Copyright (C) 2001,2002 Stefan Dens
**
** Author: Stefan Dens <larc@pandora.be>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>
<?php

include("config.php");
include_once("list.inc.php");

$db = NewACIDDBConnection($DBlib_path, $DBtype);
$db->acidConnect($DB_dbname, $DB_host, $DB_port, $DB_user, $DB_password);

if (!$sensor_name) { $sensor_name = 'default';}

if($do == 'Deactivate')
{
    deactivate($var,'vars',$sensor_name,$db);
}
if($do == 'Activate')
{
    activate($var,'vars',$sensor_name,$db);
}
if($do == 'Delete')
{
    delete($var,'vars',$db);
}

$rule_act = get_active('vars',$sensor_name,$db);
include('top.inc.php');



display_scope($sensor_name,$category,$s_pos,$db);
display_list_start($sensor_name);

$result = $db->acidExecute("SELECT id,var_name,var_value from vars order by var_name");
$count=0;
while ($myrow = $result->acidFetchRow())
{
    list($id,$var_name,$var_value) = $myrow;
    if($color != "white") {$color = "white";} else {$color = "#DDDDDD";}
    echo "<TR border=1 style='border : $color;' bgcolor=$color><TD><INPUT style=\"background-color: $color;\" TYPE=checkbox name=var[$count] value=\"$id\">&nbsp;<A href=\"edit_vars.php?id=$id&sensor_name=$sensor_name\"><img alt='Edit' border=0 height=15 src='./images/edit_button.png'></A>&nbsp;";
    if(in_array ("|$id|", $rule_act))
    {
	echo"<A href=\"vars.php?var[$count]=$id&do=Deactivate&sensor_name=$sensor_name\"><img border=0 alt=\"Deactivate\" height=15 src='./images/green.png'></A>";
    }
    else
    {
	echo "<A href=\"vars.php?var[$count]=$id&do=Activate&sensor_name=$sensor_name\"><img border=0 alt=\"Activate\" height=15 src='./images/red.png'></A>";
    }
    echo "</TD><TD>var $var_name&nbsp;$var_value</TD></TR>";
    $count++;
}

display_list_end(1);
include('bottom.inc.php');

$result->acidFreeRows();
$db->acidClose();
?>


