<?php
/* Language for SnortCenter
 * e.g. $language = "en"; for english
 *	$language = "es"; for spanish
 *	$language = "de"; for deutch
 *	$language = "fr"; for french
 *	$language = "it"; for italian
 *	$language = "nl"; for Dutch
 * Check the ./languages/ directory for available languages
 */
$language = "en";

/* Path to the DB abstraction library 
 *  (Note: DO NOT include a trailing backslash after the directory)
 *   e.g. $foo = "/tmp"      [OK]
 *        $foo = "/tmp/"     [OK]
 *        $foo = "c:\tmp"    [OK]
 *        $foo = "c:\tmp\"   [WRONG]
 */
$DBlib_path = "/usr/lib/adodb";

/* Path to the cURL binary
 *  (Note: DO NOT include a trailing backslash after the directory)
 *   e.g. $curl_path = "/usr/bin"      [OK]
 *        $curl_path = "/usr/bin/"     [OK]
 *        $curl_path = "c:\winnt"      [OK]
 *        $curl_path = "c:\winnt\"     [WRONG]
 */
$curl_path = "/usr/bin";

/* The type of underlying alert database
 * 
 *  MySQL       : "mysql"
 */
$DBtype = "mysql";

$DB_dbname   = "snortcenter";		# $DB_dbname   : MySQL database name of SnortCenter DB
$DB_host     = "localhost";		# $DB_host     : host on which the DB is stored
$DB_user     = "username";		# $DB_user     : login to the database with this user
$DB_password = "";			# $DB_password : password of the DB user
$DB_port     = "";			# $DB_port     : port on which to access the DB (blank is default)

/* Functions and Security
 * To disable user authentication: $User_authentication = 0;
 * To Enable user authentication : $User_authentication = 1;
 * To disable user authentication ONLY for auto update: $User_authentication = 2;
 */
$User_authentication = 1;
$hidden_key_num      = "0"; // Write another number here instead of 0 (Don't matter what, it could be 12351252 or 163254231, maybe 97834, or if you are really wild, 5235763723333), THIS IS IMPORTANT.

/** You and Your Site **/
$send_mail = 0;					// 1 enable email rapport when Rule update, O to disable
$mail['host'] = 'mailserver.your.domain';		// The smtp server host/ip
$mail['port'] = 25;				// The smtp server port
$webmaster_email = "you@your.domain";	// Your email.

$startpage = "sensor.php"; // The page to go to after login.

/* Proxy server support
 * e.g. $proxy = "proxy.your.domain:8080";
 */
$proxy = "";

/* Have ACID (Plugin) installed ? Give path or URL from ACID 
 * e.g. $alert_console = "http://your.domain/acid/";
 *	$alert_console = "./acid/";   
 */
$alert_console = "/admin/acid/";

/* Maximum time that is allowed for curl to connection ( seconds)
 * $curl_timeout = 5;
 */
$curl_timeout = 5;


/* URL to snort signature file & references
 * e.g. $snortrules_url = "http://www.snort.org/dl/signatures/snortrules.tar.gz";
 */
$snortrules_url             = "http://www.snort.org/dl/signatures/snortrules.tar.gz";

include('sc.def.php');
?>