<?php
/*
** SnortCenter Copyright (C) 2001,2002 Stefan Dens
**
** Author: Stefan Dens <larc@pandora.be>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>
<?php
include('config.php');
include('top.inc.php');
include("parser.php");
include("sensor.inc.php");

$db = NewACIDDBConnection($DBlib_path, $DBtype);
$db->acidConnect($DB_dbname, $DB_host, $DB_port, $DB_user, $DB_password);

if($source == "net") {
    if(!$force){
	$sql = "SELECT md5 FROM snortcenter_cfg WHERE filename = 'snortrules.tar.gz'";
        $result = $db->acidExecute($sql);
        $md5 = $result->acidFetchRow();
    
#        $fp=fopen("http://www.snort.org/dl/signatures/snortrules.tar.gz.md5", "r");
	if ($proxy !='') { $proxyline = "--proxy $proxy"; }
	if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
	    if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
	    $fp=popen($curl_path."curl -s $proxyline $snortrules_url.md5", "r");
	}
	else {
    	    if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }
	    $fp=popen($curl_path."curl -s $proxyline $snortrules_url.md5 2>/dev/null", "r");
	}
        while (!feof($fp))
        {
            $foo = explode('=',fgets($fp,4096));
            if(strpos($foo[0], 'MD5') !== false)
            {
        	    $foo[1] = trim($foo[1]);
	    if ($foo[1] != $md5[0])
		{
		    echo "<CENTER><B>New MD5 Checksum found: $foo[1]</B></CENTER><BR>";
		    if($md5 == '') {
			$sql = "INSERT INTO snortcenter_cfg (filename, md5) VALUES ('snortrules.tar.gz', '$foo[1]')";
		    }
		    else {
			$sql = "UPDATE snortcenter_cfg SET md5 = '".$foo[1]."' WHERE filename = 'snortrules.tar.gz'";
		    }
		    $result = $db->acidExecute($sql);
		    $new_checksum = 'yes';
		}
		else { echo "<CENTER><B>Same MD5 Checksum found, No update this time ...</B></CENTER>"; }
	    }
	}
	pclose($fp);
    }
    if($new_checksum == 'yes' || $force=="yes"){
	#$fp=popen("wget -T 10 -t 2 -O - http://www.snort.org/dl/signatures/snortrules.tar.gz 2>/dev/null | tar xzO rules/*.rules rules/*.conf rules/*.config", "r");
	if ($proxy !='') { $proxyline = "--proxy $proxy"; }
	if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
	    if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
	    $fp=popen($curl_path."curl -s $proxyline $snortrules_url | gunzip -dcf - | tar -xOf - rules/*.rules rules/*.conf rules/*.config", "r");
	}
	else {
	    if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }
	    $fp=popen($curl_path."curl -s $proxyline $snortrules_url 2>/dev/null | tar xzOf - rules/*.rules rules/*.conf rules/*.config", "r");
	}	    
	rule_insert($fp,$db,$auto);
	pclose($fp);
    }	
}


if($source == "upload") {
    
if (ini_get('file_uploads') == 1) {
	echo '<BR><CENTER><FONT color="FFFFFF">Snort conf/rule file to Upload</FONT><BR>'."\n";
	echo '<form method="POST" enctype="multipart/form-data" action="db_pars.php">'."\n";
	echo "<input type=\"file\" name=\"uploadedfile\" size=\"30\">\n";
	echo "<input type=\"hidden\" name=\"max_file_size\" value=\"1000000\">\n";
	echo "<input type=\"hidden\" name=\"file\" value=\"ok\">\n";
	echo "<input type=\"hidden\" name=\"sensor_name\" value=\"$sensor_name\">\n";
	echo "&nbsp;<input type=\"submit\" value=\"UPLOAD\"></FORM></CENTER>\n";
    }
    else {
	echo "<CENTER><BR>PHP doesn't allow to upload files.<BR>Edit your php.ini file and change 'file_uploads = On'<BR><BR></CENTER>";
    }
}

if($file=="ok"){
        if (ini_get('register_globals') != 1) {
            if ($_FILES['uploadedfile'] != "") {
        	$fp=fopen($_FILES['uploadedfile']['tmp_name'], "r");
        	rule_insert($fp,$db,$auto);
		fclose($fp);
    	    }
	}
	else {
	    if ($uploadedfile != "") {
		$fp=fopen($uploadedfile, "r");
		rule_insert($fp,$db,$auto);
		fclose($fp);
    
	    }
	}
}	

if($source == "cp_upload") {
    echo '<BR><CENTER><FONT color="FFFFFF">Copy & Past Snort rules to insert</FONT><BR>'."\n";
    echo '<form method="GET" action="db_pars.php">'."\n";
    echo '<TEXTAREA name=cp_rules rows=10 cols=90></TEXTAREA>';
    echo "<input type=\"hidden\" name=\"sensor_name\" value=\"$sensor_name\">\n";
    echo "<BR><input type=\"submit\" value=\"Pars\"></FORM></CENTER>\n";
}

if($cp_rules){
    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
	$tmpfname = tempnam ("c:/temp", "cp_");
    }
    else {
	$tmpfname = tempnam ("/tmp", "cp_");
    }
    $fpo = fopen ("$tmpfname", "w");
    fwrite($fpo,stripslashes($cp_rules));
    fclose($fpo);
    $fp=fopen($tmpfname, "r");
    rule_insert($fp,$db,$auto);
    fclose($fp);
}

function rule_insert($fp,$db,$auto){
global $send_mail, $mail, $webmaster_email,$curl_timeout;
    while (!feof($fp))
    {
        $foo = fgets($fp,4096);
        if(strpos($foo, '# $Id:') !== false)
        {
            $foo1 = explode(',',$foo,2);    
            $foo2 = explode('# $Id:',trim($foo1[0]),2);
	    $file = trim($foo2[1]);
	}
        else
        {
    	    $rule = pars_rule($foo);
	    if (!$file) { $file = 'Unknown-Catagory.rules'; }
            $count = write_rule($rule,$file,$db,$auto);
	    $file_tmp=$count[0];
	    if ($count[0]) { $file_count[$file_tmp]++; }
#	    if ($count[1]) { $file_count_rule[$file_tmp][]=$count[1]; }
	    if ($count[1]) { $file_count_rule[$file_tmp][]=$count[1].' '.$foo; }
	    else { $file_count_rule[$file_tmp][]=$foo; }
	}
    }

    $do_push="no";
    if ($file_count)
    {
        echo "<CENTER><B>Update Report</B></CENTER>";
	echo "<table align=center border=0 cellspacing=0 cellpadding=0 width=90%><tr>";
	# -------- Begin left table --------------
	echo "<TD width=48% valign=top>";
	echo "<table align=center border=0 cellpadding=1 cellspacing=0 width=100%><tr bgcolor=#f9f890><td>";
	echo "<table style=\"font-size:12px; font-family: Verdana;\" align=center border=0 cellspacing=0 cellpadding=0 width=100%>";
        if($send_mail == 1) {
	    $date = date("l dS of F Y h:i:s A");
	    $send_params['body'] .= "--- Update Report on $date ---\r\n";
	}
	foreach($file_count as $file => $nr)
        {
	    echo "<TR><TD>$nr</TD><TD>$file</TD></TR>";
	    if($send_mail == 1) {
		$send_params['body'] .= "\r\n--- $file ---\r\n";
	    }        
	    foreach($file_count_rule[$file]  as $rule_nr => $printrule)
	    {
		if(strpos($printrule, "-Add-") !== false || strpos($printrule, "-Update-") !== false) { $do_push="yes"; }
		echo "<TR bgcolor=#DDDDDD><TD align=left colspan=2>".htmlentities($printrule)."</TD></TR>";
		if($send_mail == 1) {
		    $send_params['body'] .= "$printrule\r\n";
		}        
    	    }
	    if($send_mail == 1) {
		$send_params['body'] .= "-----------------------------\r\n";
	    }
	}
	echo "</TABLE></TD></TR></TABLE></TD></TR></TABLE><BR>";

    	if($send_mail == 1) {
	    include('smtp.inc.php');
    	    $mail['helo'] = 'SnortCenter';			// What to use when sending the helo command. Typically, your domain/hostname
	    $send_params['recipients']	= array("$webmaster_email"); // The recipients (can be multiple)
	    $send_params['headers']		= array(
'From: SnortCenter',"To: $webmaster_email",
'Subject: SnortCenter Rule update report'
);
	    $send_params['from']		= 'SnortCenter';	// This is used as in the MAIL FROM: cmd
	    if(is_object($smtp = smtp::connect($mail)) AND $smtp->send($send_params)){
		# print_r($smtp->errors);
    	    }
	    else {
		# print_r($smtp->errors);
	    }
	}
    }
    else {
	 echo "<CENTER><B>No update this time ...</B></CENTER>";
    }

    if($do_push == 'yes' && $auto == 1) {
        $result = $db->acidExecute("select id, interface, enable from sensor where sensor_name != 'default'");
        while ($myrow = $result->acidFetchRow()) {
###
	    if($myrow[enable] == '1'){
		$status = check_status($myrow['id'],$db);
	    }
	    else $status = 'disable';
	    if ($status == 'disable'){
		$connect=2;
	    }
	    elseif(strstr($status,'Snort not Running')) {
		$connect=1;
	    }
	    elseif(strstr($status,'Pid')){
		$connect=1;
	    }
	    else{
		$connect=0;
	    }
###
	if ($connect == 1){
	    $id = $myrow[id];
    	    $url = get_curl_url("upload",$id,$db);
            $sensor_name = create_config("push", $id, $db);
	    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
		$filename= "c:/temp/$sensor_name";
		if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
	    }	
	    else {
		$filename= "/tmp/$sensor_name";
		if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }
	    }
	    
	    $r_option = find_interface_pid($id,$db);
	    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -F \"interface=$myrow[interface]\" -F \"r_option=$r_option\" -F upload=@\"$filename\" $url 2>&1", $return_string);	
            foreach ($return_string as $tmp_line) {
                $line .= $tmp_line;
            }
            $cmd_err = push_cmd_line($id,$db);
            echo "$line<BR>$cmd_err";
	    
	    $url = get_curl_url("index",$id,$db);
            $r_option = find_interface_pid($id,$db);
	    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -d \"sensor_control=stop&interface=$myrow[interface]&r_option=$r_option\" $url 2>&1", $return_string);	
            foreach ($return_string as $tmp_line) {
                $line .= $tmp_line;
            }
            echo "<BR>$line";
	    $r_option = find_interface_pid($id,$db);
	    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -d \"sensor_control=start&interface=$myrow[interface]&r_option=$r_option\" $url 2>&1", $return_string);	
            foreach ($return_string as $tmp_line) {
                $line .= $tmp_line;
            }
            echo "<BR>$line";
            sleep(1); # give snort time to start
	    }
    	}
    }
}


/*
$dir = opendir("./rules");
while ($file=readdir($dir))
{
if($file != '.' AND $file != '..' AND $file != 'sid-msg.map')
{	            
$fd = fopen ("./rules/$file", "r");
while (!feof ($fd))
{
	$rule = pars_rule(fgets($fd, 4096));
	write_rule($rule,$file,$db);

}
fclose ($fd);
}
}
*/

$db->acidClose();
include('bottom.inc.php');
?>


