<?php
/*
** SnortCenter Copyright (C) 2001,2002 Stefan Dens
**
** Author: Stefan Dens <larc@pandora.be>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>
<?php
include("config.php");
include_once("list.inc.php");

$db = NewACIDDBConnection($DBlib_path, $DBtype);
$db->acidConnect($DB_dbname, $DB_host, $DB_port, $DB_user, $DB_password);

if (!$sensor_name) { $sensor_name = 'default';}
else
{
    $result = $db->acidExecute("SELECT id FROM sensor where sensor_name='$sensor_name'");
    $myrow = $result->acidFetchRow();
    $sensor_id = $myrow[0];
}

if($do == 'Deactivate')
{
    deactivate($rule,'rules',$sensor_name,$db);
}
if($do == 'Activate')
{
    activate($rule,'rules',$sensor_name,$db);
}
if($do == 'Delete')
{
    delete($rule,'rules',$db);
}

// goto rule
if($goto) {
    $found=0;
    if($find_what == 'sid') {
	$result = $db->acidExecute("SELECT category FROM rules where sid='$goto'");
	$message = $goto;
	$goto_sid = $goto;
	$myrow = $result->acidFetchRow();
	$tmp_category=$myrow[0];
    }
    else {
	$result = $db->acidExecute("SELECT category, sid FROM rules where msg LIKE '%$goto%'");
	$message = $goto;
	$myrow = $result->acidFetchRow();
	$tmp_category=$myrow[0];
	$goto=$myrow[1];
	$goto_sid = $goto;
    }
    //echo $tmp_category;
    $result = $db->acidExecute("SELECT sid FROM rules where category='$tmp_category'");
    $counter=0;
    while (($myrow = $result->acidFetchRow()) && ($found == 0)) {
	$counter++;
	if($goto == $myrow[0]) { $found=1; $category=$tmp_category;}
    }
    if($found == 0) {
	$counter=0;
	$error_msg="<FONT color='white'><BLINK><B>$lang[59] $message $lang[60]</B></BLINK></FONT>";
    }
    $counter = $counter / 25;
    $counter = floor($counter);
    //echo $counter;
    $s_pos=$counter;
}

$rule_act = get_active('rules',$sensor_name,$db);
include('top.inc.php');
echo "<TABLE align=center><TR valign=top><TD width=33%>";
display_hide_active($sensor_name,$category);
echo "$error_msg</TD><TD width=33%>";
display_scope($sensor_name,$category,$s_pos,$db);
echo "</TD><TD width=33%>";
display_goto($sensor_name);
echo "</TD></TR></TABLE>";
display_list_start($sensor_name,$db);

if ($sensor_name != 'default')
{
    $result_id = $db->acidExecute("SELECT sid from rulechange where sensor_id='$sensor_id'");
    while ($myrow = $result_id->acidFetchRow())
    {
        $rule_change[] = $myrow[0];
    }
    $result_id->acidFreeRows();
}

if($hide_deactive=='yes') {
    $tel = 0;
    foreach ($rule_act as $sid_select) {
        $sid_select = trim($sid_select,'|');
	if($tel == 0) {
    	    $where_active = "( sid='$sid_select'";
	    $tel++;
	}
	else {
    	    $where_active .= " OR sid='$sid_select'";
	}
    }
    if($where_active) $where_active .= ' )';
}

if($hide_active=='yes') {
    $tel = 0;
    foreach ($rule_act as $sid_select) {
        $sid_select = trim($sid_select,'|');
	if($tel == 0) {
    	    $where_active = " ! ( sid='$sid_select'";
	    $tel++;
	}
	else {
    	    $where_active .= " OR sid='$sid_select'";
	}
    }
    if($where_active) $where_active .= ' )';
}

if(($category) and ($category != 'All rules')) {
    $where = " where (category='$category')";
    if($where_active) {
        $where .= " AND ".$where_active;
    }
}
elseif($where_active) {
    $where = " where $where_active";
}

if($s_pos=='' || $s_pos === '<<' ) {  $s_pos=0; }

$result = $db->acidExecute("SELECT COUNT(sid) FROM rules" . $where);
$myrow = $result->acidFetchRow();
$max=$myrow[0];

$tmp = ($max % 100);
if($s_pos === '>>' ) 
{ 
    $s_pos= round((($max / 25)),0); $r_pos=$max-25;
    if($tmp >= 50 && $tmp > 0)
    { 
        $end_pos = $s_pos +1;
        $tmp_max = $max / 25;
        $tmp_max= round($tmp_max,0);
    } 
    else
    { 
	$end_pos = $s_pos;
	$tmp_max = $max / 25;
        $tmp_max= round($tmp_max,0)-1;
    }
}
else
{ 
    $r_pos = $s_pos * 25;
    if($tmp >= 50 && $tmp > 0)
    { 
        $end_pos = $s_pos ;
        $tmp_max = $max / 25;
        $tmp_max= round($tmp_max,0);
    } 
    else
    { 
	$end_pos = $s_pos;
	$tmp_max = $max / 25;
        $tmp_max= ceil($tmp_max)-1;
    }
}
if ($tmp_max == 0) $tmp_max=1;
$max_page= $r_pos + 25;
if($max_page > $max) $max_page=$max;
$limit = $r_pos;
#$limit = " LIMIT $r_pos,25";
$r_pos=$r_pos+1;

echo "<TR><TD width=33%><FONT color='#FFFFFF'><B>&nbsp;$lang[61]&nbsp;</B></FONT><BR>&nbsp;<SELECT name=category onchange='this.form.submit();'><OPTION>All rules</OPTION>";
$result = $db->acidExecute("SELECT distinct(category) from rules ORDER BY category ASC");
while ($myrow = $result->acidFetchRow())
{
    echo "<OPTION ";
    if($category == $myrow[0]) echo 'selected';
    echo ">$myrow[0]</OPTION>";
}
$result->acidFreeRows();
echo '</SELECT></TD>';
echo "<INPUT TYPE=HIDDEN NAME=hide_active VALUE=$hide_active><INPUT TYPE=HIDDEN NAME=hide_deactive VALUE=$hide_deactive>";

# -- Make limit selection table --
if ($max > 25)
{
	echo "<TD width=33% align=center><FONT color='#FFFFFF'><B>$lang[62] [$r_pos - $max_page] $lang[63] $max</B><BR>";
	if ($s_pos -5 > 0)
	{
		echo ("<INPUT TYPE=SUBMIT name=s_pos value ='<<'> ");
	}
	for ($i = $s_pos - 5; $i < $end_pos; $i++)
	{
	if ( $i >= 0)
	    {
		echo ("<INPUT TYPE=SUBMIT name=s_pos value ='$i'> ");
	    }
	else $to_low++;
	}
	echo ("$end_pos ");
	for ($i = $end_pos + 1; $i <= $end_pos + $to_low + 5 and $i <= $tmp_max; $i++)
	{
		echo ("<INPUT TYPE=SUBMIT name=s_pos value ='$i'> ");
		$c++;
	}
	if ($end_pos < ($tmp_max-$c))
	{
	    echo ("<INPUT TYPE=SUBMIT name=s_pos value ='>>'> ");
	}
	echo("</TD></FONT>");
}
# END-- Make limit selection table --

echo '<TD width=33%>&nbsp;</TD></TR><TR><TD>&nbsp;</TD></TR></TABLE>
<table style="font-size:10px; font-family: Times;" border=0 cellpadding=2 cellspacing=0 width=100%>';

$result = $db->acidExecute("SELECT action, proto ,src_ip, src_port, operator, dst_ip, dst_port, msg, ttl, tos, id, ipoption, ip_proto, fragbits, dsize, flags, seq, ack, itype, icode, icmp_id, icmp_seq,  content_list, session, rpc, resp, react, classtype, priority, tag, sameip, stateless, sid, rev, activates,  activates_by, count, logto FROM rules" . $where ." ORDER BY category ASC ",$limit,25);
$count=0;
while ($myrow = $result->acidFetchRow())
{
list($action, $proto ,$src_ip, $src_port, $operator, $dst_ip, $dst_port, $msg, $ttl, $tos, $id, $ipoption, $ip_proto, $fragbits, $dsize, $flags, $seq, $ack, $itype, $icode, $icmp_id, $icmp_seq, $content_list, $session, $rpc, $resp, $react, $classtype, $priority, $tag, $sameip, $stateless, $sid, $rev, $activates, $activates_by, $count, $logto) = $myrow;
$content = '';
$uricontent = '';
$reference = '';
$result_content = $db->acidExecute("SELECT content, off_set, depth, nocase, regex FROM content WHERE sid='$sid'");
while ($myrow_content = $result_content->acidFetchRow())
{
    list($content_tmp, $off_set, $depth, $nocase, $regex) = $myrow_content;
    $content .= " content: $content_tmp;";
    if ($off_set >= '0') {$content .= " offset: $off_set;";}
    if ($depth >= '0') {$content .= " depth: $depth;";}
    if ($nocase) {$content .= " nocase;";}
    if ($regex) {$content .= " regex;";}
}
$result_uricontent = $db->acidExecute("SELECT uricontent, off_set, depth, nocase, regex FROM uricontent WHERE sid='$sid'");
while ($myrow_uricontent = $result_uricontent->acidFetchRow())
{
    list($uricontent_tmp, $off_set, $depth, $nocase, $regex) = $myrow_uricontent;
    $uricontent .= " uricontent: $uricontent_tmp;";
    if ($off_set >= '0') {$uricontent .= " offset: $off_set;";}
    if ($depth >= '0') {$uricontent .= " depth: $depth;";}
    if ($nocase) {$uricontent .= " nocase;";}
    if ($regex) {$uricontent .= " regex;";}
}
$result_reference = $db->acidExecute("SELECT reference FROM reference WHERE sid='$sid'");
while ($myrow_reference = $result_reference->acidFetchRow())
{
    list($reference_tmp) = $myrow_reference;
    $reference_array = explode(',',$reference_tmp,2);
    if(trim($reference_array[0]) == "bugtraq") {
        $reference .= "<A href='$reference_url[bugtraq]$reference_array[1]' target='NEW'> reference: $reference_tmp;</A>";
    }
    elseif(trim($reference_array[0]) == "cve") {
        $reference .= "<A href='$reference_url[cve]$reference_array[1]' target='NEW'> reference: $reference_tmp;</A>";
    }
    elseif((trim($reference_array[0]) == "arachNIDS") || (trim($reference_array[0]) == "arachnids")){
        $reference .= "<A href='$reference_url[arachNIDS]$reference_array[1]' target='NEW'> reference: $reference_tmp;</A>";
    }
    elseif(trim($reference_array[0]) == "url") {
        $reference .= "<A href='http://$reference_array[1]' target='NEW'> reference: $reference_tmp;</A>";
    }
    elseif(trim($reference_array[0]) == "nessus") {
        $reference .= "<A href='$reference_url[nessus]$reference_array[1]' target='NEW'> reference: $reference_tmp;</A>";
    }
    elseif((trim($reference_array[0]) == "McAfee") || (trim($reference_array[0]) == "mcafee") || (trim($reference_array[0]) == "MCAFEE")){
        $reference .= "<A href='$reference_url[McAfee]$reference_array[1].htm' target='NEW'> reference: $reference_tmp;</A>";
    }
    else { $reference .= " reference: $reference_tmp;"; }
}
 
if($color != "white") {$color = "white";} else {$color = "#DDDDDD";}

if ($rule_change)
{
    if(in_array ("$sid", $rule_change))
    {
        $result_change = $db->acidExecute("SELECT action, src_ip, src_port, dst_ip, dst_port FROM rulechange where sid='$sid' and sensor_id='$sensor_id'");
        $myrow_change = $result_change->acidFetchRow();
        if ($myrow_change != 0)
        {
	    list($action, $src_ip, $src_port, $dst_ip, $dst_port) = $myrow_change;
#	    if($rule_change) $color = "#bcf2ba";
	    if($rule_change) $color = "#df9ff4";
        }
    }
}

if($goto_sid == $sid) $color = "yellow";

echo "<TR border=1 style='border : $color;' bgcolor=$color><TD rowspan=2><INPUT style=\"background-color: $color;\" TYPE=checkbox name=rule[$count] value=\"$sid\"></TD><TD rowspan=2><A href=\"edit_rule.php?sid=$sid&rev=$rev&sensor_name=$sensor_name&category=$category&s_pos=$s_pos\"><img alt='Edit' border=0 height=15 src='./images/edit_button.png'></A>&nbsp;</TD>
<TD rowspan=2>";

if(in_array ("|$sid|", $rule_act))
{
    echo"<A href=\"rules.php?rule[$count]=$sid&do=Deactivate&category=$category&sensor_name=$sensor_name&s_pos=$s_pos&hide_active=$hide_active&hide_deactive=$hide_deactive\"><img border=0 alt=\"Deactivate\" height=15 src='./images/green.png'></A>";
}
else
{
    echo"<A href=\"rules.php?rule[$count]=$sid&do=Activate&category=$category&sensor_name=$sensor_name&s_pos=$s_pos&hide_active=$hide_active&hide_deactive=$hide_deactive\"><img border=0 alt=\"Activate\" height=15 src='./images/red.png'></A>";
}
echo "</TD><TD>$action $proto $src_ip $src_port $operator $dst_ip $dst_port</TD></TR>
<TR bgcolor=$color><TD colspan=7>(";
if ($sid) {echo " sid: <B>".htmlspecialchars($sid).";</B>";}
if ($rev) {echo " rev: <B>".htmlspecialchars($rev).";</B>";}
if ($msg) {echo " msg: <B>".htmlspecialchars($msg).";</B>";}
if ($ttl || $ttl == '0') {echo " ttl: ".htmlspecialchars($ttl).";";}
if ($id || $id == '0') {echo " id: ".htmlspecialchars($id).";";}
if ($ipoption || $ipoption == '0') {echo " ipopts: ".htmlspecialchars($ipoption).";";}
if ($ip_proto || $ip_proto == '0') {echo " ip_proto: ".htmlspecialchars($ip_proto).";";}
if ($fragbits) {echo " fragbits: ".htmlspecialchars($fragbits).";";}
if ($dsize || $dsize == '0') {echo " dsize: ".htmlspecialchars($dsize).";";}
if ($flags || $flags == '0') {echo " flags: ".htmlspecialchars($flags).";";}
if ($seq || $seq == '0' ) {echo " seq: ".htmlspecialchars($seq).";";}
if ($ack || $ack == '0') {echo " ack: ".htmlspecialchars($ack).";";}
if ($itype || $itype == '0') {echo " itype: ".htmlspecialchars($itype).";";}
if ($icode || $icode == '0') {echo " icode: ".htmlspecialchars($icode).";";}
if ($icmp_id || $icmp_id == '0') {echo " icmp_id: ".htmlspecialchars($icmp_id).";";}
if ($icmp_seq || $icmp_seq == '0') {echo " icmp_seq: ".htmlspecialchars($icmp_seq).";";}
if ($content) {echo htmlspecialchars($content);}
if ($uricontent) {echo htmlspecialchars($uricontent);}
if ($content_list) {echo " content_list: ".htmlspecialchars($content_list).";";}
if ($session) {echo " session: ".htmlspecialchars($session).";";}
if ($rpc) {echo " rpc: ".htmlspecialchars($rpc).";";}
if ($resp) {echo " resp: ".htmlspecialchars($resp).";";}
if ($react) {echo " react: ".htmlspecialchars($react).";";}
if ($reference) {echo $reference; }
if ($classtype) {echo " classtype: ".htmlspecialchars($classtype).";";}
if ($priority || $priority == '0') {echo " priority: ".htmlspecialchars($priority).";";}
if ($tag) {echo " tag: ".htmlspecialchars($tag).";";}
if ($sameip) {echo " sameip;";}
if ($stateless) {echo " stateless;";}
if ($activates) {echo " activates: ".htmlspecialchars($activates).";";}
if ($activates_by) {echo " activates_by: ".htmlspecialchars($activates_by).";";}
if ($count || $count == '0') {echo " count: ".htmlspecialchars($count).";";}
if ($logto) {echo " logto: ".htmlspecialchars($logto).";";}
echo ")</TD></TR>";
$count++;
}
display_list_end(1);



include('bottom.inc.php');

$result->acidFreeRows();
$db->acidClose();
?>


