<?php
/*
** SnortCenter Copyright (C) 2001,2002 Stefan Dens
**
** Author: Stefan Dens <larc@pandora.be>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>
<?php
include("config.php");
include_once("list.inc.php");

$db = NewACIDDBConnection($DBlib_path, $DBtype);
$db->acidConnect($DB_dbname, $DB_host, $DB_port, $DB_user, $DB_password);

if (!$sensor_name) { $sensor_name = 'default';}
else
{
    $result = $db->acidExecute("SELECT id FROM sensor where sensor_name='$sensor_name'");
    $myrow = $result->acidFetchRow();
    $sensor_id = $myrow[0];
}

if($do == 'Deactivate')
{
 if($rule){ 
  foreach ($rule as $cat_key){
    $result = $db->acidExecute("SELECT sid from rules where category='$cat_key'");
    while ($myrow = $result->acidFetchRow()){
	$element[] = $myrow[0];
    }
    $result->acidFreeRows();

    $result_id = $db->acidExecute("SELECT rules from sensor where sensor_name='$sensor_name'");
    $myrow_id = $result_id->acidFetchRow();
    $result_id->acidFreeRows();
    $myrow_act=$myrow_id[0];
    foreach($element as $key)
    {
	list($part_1, $part_2) = explode("|$key|;", $myrow_act,2);
	$myrow_act = $part_1 . $part_2;
    }
    $result = $db->acidExecute("UPDATE sensor SET rules='$myrow_act' where sensor_name = '$sensor_name'");
  }
 }
}

if($do == 'Activate')
{
 if($rule){ 
  foreach ($rule as $cat_key){
    $result = $db->acidExecute("SELECT sid from rules where category='$cat_key'");
    while ($myrow = $result->acidFetchRow()){
	$element[] = $myrow[0];
    }
    $result->acidFreeRows();
    
    $result_id = $db->acidExecute("SELECT rules from sensor where sensor_name='$sensor_name'");
    $myrow_id = $result_id->acidFetchRow();
    $result_id->acidFreeRows();
    $myrow_act=$myrow_id[0];
    foreach($element as $key)
    {
	if(!strstr($myrow_act,"|$key|;"))
	{
	    $myrow_act .= "|$key|;";
        }
    }
    $result = $db->acidExecute("UPDATE sensor SET rules='$myrow_act' where sensor_name = '$sensor_name'");
  }
 }  
}

if($do == 'Delete')
{
 if($rule){ 
  foreach ($rule as $cat_key){
    $result = $db->acidExecute("SELECT sid from rules where category='$cat_key'");
    while ($myrow = $result->acidFetchRow()){
	$element[] = $myrow[0];
    }
    $result->acidFreeRows();

    foreach($element as $key)
    {
	$result_id = $db->acidExecute("SELECT sensor_name, rules from sensor");
        while ($myrow_id = $result_id->acidFetchRow())
	{
	    $sensor_name_tmp = $myrow_id[0];
	    $myrow_act=$myrow_id[1];
	    list($part_1, $part_2) = explode("|$key|;", $myrow_act,2);
            $myrow_act = $part_1 . $part_2;
	    $result = $db->acidExecute("UPDATE sensor SET rules='$myrow_act' where sensor_name = '$sensor_name_tmp'");
	    $result->acidFreeRows();
	}
	$result_id->acidFreeRows();
        $result = $db->acidExecute("DELETE FROM rules where (sid = '$key')");
        $result->acidFreeRows();
        $result = $db->acidExecute("DELETE FROM content where (sid = '$key')");
        $result->acidFreeRows();
        $result = $db->acidExecute("DELETE FROM uricontent where (sid = '$key')");
        $result->acidFreeRows();
        $result = $db->acidExecute("DELETE FROM reference where (sid = '$key')");
        $result->acidFreeRows();
    }
   }
  }
}

include('top.inc.php');

$rule_act = get_active('rules',$sensor_name,$db);
$result = $db->acidExecute("SELECT distinct(category) FROM rules ORDER BY category ASC");
$cat = array();
while ($myrow = $result->acidFetchRow())
{
    list($sid_category) = $myrow;
    $cat[] = $sid_category;
}
// count active rules in a category
foreach($cat as $tmp_cat) {
    $result = $db->acidExecute("SELECT sid FROM rules where category='$tmp_cat'");
    $count_cat[$tmp_cat] = 0;
    $total_cat[$tmp_cat] = 0;
    settype($count_cat[$tmp_cat], "integer"); 
    settype($total_cat[$tmp_cat], "integer"); 
    while ($myrow = $result->acidFetchRow())
    {
        list($sid) = $myrow;
	if(in_array("|$sid|",$rule_act)) {
    	    $count_cat[$tmp_cat]++;
	}
	$total_cat[$tmp_cat]++;
    }
}

echo "<TABLE align=center><TR><TD width=33%>$error_msg</TD><TD width=33%>";



display_scope($sensor_name,$category,$s_pos,$db);
echo "</TD><TD width=33%>";
display_goto($sensor_name);
echo "</TD></TR></TABLE>";
display_list_start($sensor_name,$db);


echo '<table style="font-size:10px; font-family: Verdana;" border=0 cellpadding=2 cellspacing=0 width=100%>';
$row=0;
foreach($cat as $tmp_cat) {

if($row == 0) {
    if($color != "white") {$color = "white";} else {$color = "#DDDDDD";}
    echo "<TR border=1 style='border : $color;' bgcolor=$color valign=bottom>";
}
$row++;
if($count_cat[$tmp_cat] == 0) { $count_color = '#FF005F'; }
elseif($total_cat[$tmp_cat] == $count_cat[$tmp_cat]){ $count_color = '#00FF00';}
else { $count_color = '#FFF000'; }



echo "<TD><INPUT style=\"background-color: $color;\" TYPE=checkbox name=rule[$tmp_cat] value=\"$tmp_cat\"><FONT style=\"background-color: $count_color;\" bgcolor=$count_color>&nbsp;$count_cat[$tmp_cat] / $total_cat[$tmp_cat]&nbsp;</FONT></TD>";
echo "<TD><A href='rules.php?sensor_name=$sensor_name&category=$tmp_cat'>$tmp_cat</A></TD>";

if($row == 4){
    echo "</TR>";
    $row = 0;
}
}
if($row != 0){
    for($i=$row; $i<4; $i++){
	echo "<TD>&nbsp;</TD><TD>&nbsp;</TD>";
    }
    echo "</TR>";
}
display_list_end(1);

include('bottom.inc.php');

$result->acidFreeRows();
$db->acidClose();
?>


