<?php
/*
** SnortCenter Copyright (C) 2001,2002 Stefan Dens
**
** Author: Stefan Dens <larc@pandora.be>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>
<?php
include("config.php");
include_once("list.inc.php");

$db = NewACIDDBConnection($DBlib_path, $DBtype);
$db->acidConnect($DB_dbname, $DB_host, $DB_port, $DB_user, $DB_password);

if (!$sensor_name) { $sensor_name = 'default';}

if($do == 'Deactivate')
{
    deactivate($rule,'ruletype',$sensor_name,$db);
}
if($do == 'Activate')
{
    activate($rule,'ruletype',$sensor_name,$db);
}
if($do == 'Delete')
{
    delete($rule,'ruletype',$db);
}

$rule_act = get_active('ruletype',$sensor_name,$db);
include('top.inc.php');



display_scope($sensor_name,$category,$s_pos,$db);
display_list_start($sensor_name);

$result = $db->acidExecute("SELECT id,ruletype_name,ruletype_value from ruletype");
$count=0;
while ($myrow = $result->acidFetchRow())
{
list($id,$ruletype_name,$ruletype_value) = $myrow;
if($color != "white") {$color = "white";} else {$color = "#DDDDDD";}
echo "<TR border=1 style='border : $color;' bgcolor=$color><TD><INPUT style=\"background-color: $color;\" TYPE=checkbox name=rule[$count] value=\"$id\">&nbsp;<A href=\"edit_ruletype.php?id=$id&sensor_name=$sensor_name\"><img alt='Edit' border=0 height=15 src='./images/edit_button.png'></A>&nbsp;";

if(in_array ("|$id|", $rule_act))
{
    echo"<A href=\"ruletype.php?rule[$count]=$id&do=Deactivate&sensor_name=$sensor_name\"><img border=0 alt=\"Deactivate\" height=15 src='./images/green.png'></A>";
}
else
{
    echo"<A href=\"ruletype.php?rule[$count]=$id&do=Activate&sensor_name=$sensor_name\"><img border=0 alt=\"Activate\" height=15 src='./images/red.png'></A>";
}
$ruletype_value = nl2br($ruletype_value);
echo "</TD><TD>ruletype $ruletype_name&nbsp;$ruletype_value</TD></TR>";
$count++;
}

display_list_end(1);
include('bottom.inc.php');

$result->acidFreeRows();
$db->acidClose();
?>


