<?php
/*
** SnortCenter Copyright (C) 2001,2002 Stefan Dens
**
** Author: Stefan Dens <larc@pandora.be>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
?>
<?php
include("config.php");
include("sensor.inc.php");

$db = NewACIDDBConnection($DBlib_path, $DBtype);
$db->acidConnect($DB_dbname, $DB_host, $DB_port, $DB_user, $DB_password);

include('top.inc.php');
if ($sensor_ctl != "view") {
echo'<BR>';
}

if ($do == "sensor_del")
{
	echo "<FORM action=\"\" method=GET>";
	echo "<INPUT TYPE='hidden' name='sensor_delete' value='delete'>";
	echo '<SELECT NAME="id">';
	$result = $db->acidExecute("select sensor_name, id from sensor where sensor_name!='default'");
	while ($myrow = $result->acidFetchRow())
	{
		echo "<OPTION value='$myrow[1]'>$myrow[0]</OPTION>";
	}
	$result->acidFreeRows();
	echo '</SELECT>';
	echo "<INPUT TYPE='submit' NAME='submit' value='Delete'></FORM>";
}

if ($sensor_delete)
{
	$result = $db->acidExecute("delete from sensor where id='$id'");
}

if($sensor_ctl == 'system status') {
    $url = get_curl_url("index",$id,$db);
    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
	if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
    }
    else {
	if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }

    }
    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -d \"sensor_control=system%20status\" $url 2>&1", $return_string);	
    foreach ($return_string as $tmp_line) {
        $line .= $tmp_line;
    }
    $snortver = show_snort_version($id,$db);
    $system_status_msg = "<TABLE bgcolor=#FFFFFF align=center><TR><TD><CENTER><B>$snortver</B></CENTER><BR>$line</TD></TR></TABLE>";
}

if($sensor_ctl == 'start') {
    $result = $db->acidExecute("select interface from sensor where id ='$id'");
    $myrow = $result->acidFetchRow();
    $url = get_curl_url("index",$id,$db);
    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
        if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
    }
    else {
        if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }

    }
    $r_option = find_interface_pid($id,$db);
    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -d \"sensor_control=start&interface=$myrow[interface]&r_option=$r_option\" $url 2>&1", $return_string);	
    foreach ($return_string as $tmp_line) {
        $line .= $tmp_line;
    }
    $sensor_msg = nl2br($line);
    sleep(1); # give snort time to start
}

if($sensor_ctl == 'stop') {
    $result = $db->acidExecute("select interface from sensor where id ='$id'");
    $myrow = $result->acidFetchRow();
    $url = get_curl_url("index",$id,$db);
    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
        if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
    }
    else {
        if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }

    }
    $r_option = find_interface_pid($id,$db);
    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -d \"sensor_control=stop&interface=$myrow[interface]&r_option=$r_option\" $url 2>&1", $return_string);	
    foreach ($return_string as $tmp_line) {
        $line .= $tmp_line;
    }
    $sensor_msg = $line;
}

if($sensor_ctl == 'restart') {
    $result = $db->acidExecute("select interface from sensor where id ='$id'");
    $myrow = $result->acidFetchRow();
    $url = get_curl_url("index",$id,$db);
    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
        if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
    }
    else {
        if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }

    }
    $r_option = find_interface_pid($id,$db);
    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -d \"sensor_control=restart&interface=$myrow[interface]&r_option=$r_option\" $url 2>&1", $return_string);	
    foreach ($return_string as $tmp_line) {
        $line .= $tmp_line;
    }
    $sensor_msg = $line;
    sleep(1); # give snort time to start
}

if($sensor_ctl == 'push') {
    $result = $db->acidExecute("select interface from sensor where id ='$id'");
    $myrow = $result->acidFetchRow();
    $url = get_curl_url("upload",$id,$db);
    $sensor_name = create_config("push", $id, $db);
    if (strpos($_SERVER["SERVER_SOFTWARE"], "Win") !== false) {
	if ($curl_path !='') { $curl_path = rtrim($curl_path,'\\') . '\\'; }
	$filename= "c:/temp/$sensor_name";
    }
    else {
	if ($curl_path !='') { $curl_path = rtrim($curl_path,'/') . '/'; }

	$filename= "/tmp/$sensor_name";
    }
    $r_option = find_interface_pid($id,$db);
    exec($curl_path."curl -s -S --connect-timeout $curl_timeout -F \"interface=$myrow[interface]\" -F \"r_option=$r_option\" -F upload=@\"$filename\" $url 2>&1", $return_string);	
    foreach ($return_string as $tmp_line) {
        $line .= "$tmp_line<BR>";
    }
    $cmd_err = push_cmd_line($id,$db);
    $sensor_msg = "$line<BR>$cmd_err";
}



if ($sensor_ctl == 'test') {
    include('test.php');
}

if ($sensor_ctl == "view") {
    create_config('view', $id, $db);
}

if ($sensor_ctl == "download") {
    $sensor_name = create_config('download', $id, $db);
}

if ((!$do || $sensor_ctl || $download) && ($sensor_ctl != 'view') && ($sensor_ctl != 'test'))
{
    ?>
    <style>
    TD {
    	FONT-FAMILY: Verdana,Helvetica; FONT-SIZE: 10px;
    }
    </style>
    <table align="center" border="0" cellspacing="0" cellpadding="0"><tr>
    <td width="12" height="12"><img src="./images/form/up-left.gif" alt="" border="0"></td>
    <td background="./images/form/up.gif" align="center"  height="12">&nbsp;</td>
    <td><img src="./images/form/up-right.gif" width="12" height="12" alt="" border="0"></td></tr>
    <tr>
    <td background="./images/form/left.gif" width="12">&nbsp;</td>
    <td bgcolor="#3b577a">
    <center>
<?php
    echo "<table align=center border=0 cellpadding=0 cellspacing=0 width=100%><BR>";

// sensor group code
    $groups = array();
    $sensor_groups = array();
    $result_id = $db->acidExecute("SELECT group_name, group_value from sensor_group ORDER BY group_name");
    while ($myrow_group = $result_id->acidFetchRow()) {
	$groups[] = $myrow_group[0];
	$group_act .= $myrow_group[1];
	$sensor_groups["$myrow_group[0]"] = $myrow_group[1];
    }
    $result_id->acidFreeRows();
// ends here

    $result = $db->acidExecute("select sensor_name, sensor_ip, sensor_port, id, sensor_user, sensor_passw, net_proto, interface, enable from sensor where sensor_name!='default' order by sensor_name");
    while ($myrow = $result->acidFetchRow())
 {
    	if (strpos($group_act, "|$myrow[id]|") === false && !in_array($myrow[sensor_name],$groups)) {

    if($color != "white") {$color = "white";} else {$color = "#DDDDDD";}
    echo "<TR border=1 style='border : $color;' bgcolor=$color>";
    
    if($myrow[enable] == '1'){
	$status = check_status($myrow['id'],$db);
    }
    else $status = 'disable';
	    if ($status == 'disable'){
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#ff0000><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$lang[227]</TD>";
		$connect=2;
	    }
	    elseif(strstr($status,'Snort not Running')) {
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#ffD000><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$lang[34]</TD>";
		$connect=1;
		$show = "start";
	    }
	    elseif(strstr($status,'Pid')){
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#00ff00><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$status</TD>";
		$connect=1;
		$show= "stop";
	    }
	    else{
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#ff0000><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$lang[35] $myrow[1]:$myrow[2]</TD>";
		$sensor_msg = $status;		
		$connect=0;
	    }

	if($connect == 1){
	    echo '<TD width=5>&nbsp;</TD>';
	    if ($show == "start") {
		echo "<TD align=center><B>$lang[33]</B><BR><A href='?sensor_ctl=start&id=$myrow[id]'>$lang[37]</A>&nbsp;-&nbsp;";
	    }

	    if($show == "stop") {
		echo "<TD align=center><B>$lang[33]</B><BR><A href='?sensor_ctl=stop&id=$myrow[id]'>$lang[38]</A>&nbsp;-&nbsp;";

	    }
	    echo "<A href='?sensor_ctl=restart&id=$myrow[id]'>$lang[39]</A>&nbsp</TD>";
	    echo "<TD align=center width=10>&nbsp;</TD>";
	    echo "<TD align=center><B>$lang[228]</B><BR><A href='?sensor_ctl=push&id=$myrow[id]'>$lang[40]</A>&nbsp;-&nbsp;";
	    echo "<A href='?sensor_ctl=view&id=$myrow[id]'>$lang[41]</A>&nbsp;-&nbsp;";
	    echo "<A href='?sensor_ctl=download&id=$myrow[id]'>$lang[42]</A>&nbsp;</TD>";
	    
#	    echo "<A href='?sensor_ctl=download&id=$myrow[id]'>$lang[42]</A>&nbsp;-&nbsp;";
#	    echo "<A href='?sensor_ctl=test&sensor_id=$myrow[id]'>$lang[43]</A>&nbsp;</TD>";
	    
	    echo "<TD align=center width=10>&nbsp;</TD>";
	    echo "<TD><BR><A href='?sensor_ctl=system%20status&id=$myrow[id]'>$lang[44]</A>&nbsp;</TD>";
	}
	elseif($connect == 2) echo "<TD width=5>&nbsp;</TD><TD colspan=5>&nbsp;</TD>";
	else echo "<TD width=5>&nbsp;</TD><TD colspan=5><A href='?sensor_ctl=Sensor_Status&sensor_ip=$myrow[1]&sensor_port=$myrow[2]&id=$myrow[3]'>$lang[45]</A></TD>";
	echo '</TR>';
     
}
    }
    $result->acidFreeRows();

// sensor group code
    foreach($sensor_groups as $group_name => $group_value)
 
 {
	echo "<TR border=0 style='border : #F9F890;' bgcolor=#F9F890><TD style='border : #F9F890;' bgcolor=#F9F890 colspan=10><FONT size=1><B>$lang[233]: $group_name</B>&nbsp;</FONT></TD><TR>";
	$result = $db->acidExecute("select sensor_name, sensor_ip, sensor_port, id, sensor_user, sensor_passw, net_proto, interface, enable from sensor where sensor_name!='default' order by sensor_name");
        while ($myrow = $result->acidFetchRow())
 {
	    if (strpos($group_value, "|$myrow[id]|") !== false) {

    if($color != "white") {$color = "white";} else {$color = "#DDDDDD";}
    echo "<TR border=1 style='border : $color;' bgcolor=$color>";
    
    if($myrow[enable] == '1'){
	$status = check_status($myrow['id'],$db);
    }
    else $status = 'disable';
	    if ($status == 'disable'){
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#ff0000><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$lang[227]</TD>";
		$connect=2;
	    }
	    elseif(strstr($status,'Snort not Running')) {
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#ffD000><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$lang[34]</TD>";
		$connect=1;
		$show = "start";
	    }
	    elseif(strstr($status,'Pid')){
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#00ff00><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$status</TD>";
		$connect=1;
		$show= "stop";
	    }
	    else{
		echo "<TD><A href='add_sensor.php?sensor_id=$myrow[3]'>&nbsp;<img alt='Edit' border=0 height=15 src='./images/edit_button.png'>&nbsp;</A></TD><TD bgcolor=#ff0000><B>&nbsp;$myrow[0]&nbsp;-> $myrow[interface]&nbsp;</B></TD><TD width=5>&nbsp;</TD><TD>$lang[35] $myrow[1]:$myrow[2]</TD>";
		$sensor_msg = $status;		
		$connect=0;
	    }

	if($connect == 1){
	    echo '<TD width=5>&nbsp;</TD>';
	    if ($show == "start") {
		echo "<TD align=center><B>$lang[33]</B><BR><A href='?sensor_ctl=start&id=$myrow[id]'>$lang[37]</A>&nbsp;-&nbsp;";
	    }

	    if($show == "stop") {
		echo "<TD align=center><B>$lang[33]</B><BR><A href='?sensor_ctl=stop&id=$myrow[id]'>$lang[38]</A>&nbsp;-&nbsp;";

	    }
	    echo "<A href='?sensor_ctl=restart&id=$myrow[id]'>$lang[39]</A>&nbsp</TD>";
	    echo "<TD align=center width=10>&nbsp;</TD>";
	    echo "<TD align=center><B>$lang[228]</B><BR><A href='?sensor_ctl=push&id=$myrow[id]'>$lang[40]</A>&nbsp;-&nbsp;";
	    echo "<A href='?sensor_ctl=view&id=$myrow[id]'>$lang[41]</A>&nbsp;-&nbsp;";
	    echo "<A href='?sensor_ctl=download&id=$myrow[id]'>$lang[42]</A>&nbsp;</TD>";

#	    echo "<A href='?sensor_ctl=download&id=$myrow[id]'>$lang[42]</A>&nbsp;-&nbsp;";
#	    echo "<A href='?sensor_ctl=test&sensor_id=$myrow[id]'>$lang[43]</A>&nbsp;</TD>";

	    echo "<TD align=center width=10>&nbsp;</TD>";
	    echo "<TD><BR><A href='?sensor_ctl=system%20status&id=$myrow[id]'>$lang[44]</A>&nbsp;</TD>";
	}
	elseif($connect == 2) echo "<TD width=5>&nbsp;</TD><TD colspan=5>&nbsp;</TD>";
	else echo "<TD width=5>&nbsp;</TD><TD colspan=5><A href='?sensor_ctl=Sensor_Status&sensor_ip=$myrow[1]&sensor_port=$myrow[2]&id=$myrow[3]'>$lang[45]</A></TD>";
	echo '</TR>';
     } 
    }
   }
// sensor group code end

?>
</TABLE><BR>
</center>
</td>
<td background="./images/form/right.gif">&nbsp;</td></tr><tr>
<td width="12" height="12"><img src="./images/form/down-left.gif" alt="" border="0"></td>
<td background="./images/form/down.gif" align="center" height="12">&nbsp;</td>
<td><img src="./images/form/down-right.gif" width="12" height="12" alt="" border="0"></td></tr>
</td></tr></table><BR>

<?php
if ($system_status_msg) {
echo '
    <style>
    TD {
    	FONT-FAMILY: Verdana,Helvetica; FONT-SIZE: 10px;
    }
    </style>
    <table align="center" border="0" cellspacing="0" cellpadding="0"><tr>
    <td width="12" height="12"><img src="./images/form/up-left.gif" alt="" border="0"></td>
    <td background="./images/form/up.gif" align="center"  height="12">&nbsp;</td>
    <td><img src="./images/form/up-right.gif" width="12" height="12" alt="" border="0"></td></tr>
    <tr>
    <td background="./images/form/left.gif" width="12">&nbsp;</td>
    <td bgcolor="#3b577a">
    <center>';
    
    echo "<BR>$system_status_msg<BR>";
    echo '
    </td>
    <td background="./images/form/right.gif">&nbsp;</td></tr><tr>
    <td width="12" height="12"><img src="./images/form/down-left.gif" alt="" border="0"></td>
    <td background="./images/form/down.gif" align="center" height="12">&nbsp;</td>
    <td><img src="./images/form/down-right.gif" width="12" height="12" alt="" border="0"></td></tr>
    </td></tr></table><BR>';
    }	

    echo "<TABLE width=98% align=center border=0 cellspacing=0 cellpadding=2><TR><TD width=30% align=left><FONT color='#FFFFFF'><b>$lang[32]</b></FONT></TD><TD>&nbsp;</TD></TR>";
    echo "<TR><TD bgcolor=#fffaa8 colspan=2>&nbsp;".nl2br($sensor_msg)."</TD></TR></TABLE>";
    echo "<BR>";
}

$db->acidClose();

require('bottom.inc.php');

if ($sensor_ctl == 'download'){
    echo '<SCRIPT language=javascript>setTimeout("location.href=\'dl.php?sensor_name='.$sensor_name.'\'",0);</SCRIPT>';
}

?>
